game-data-packager(6)

NOM
game-data-packager - contruit des fichiers .deb à partir des données de jeux

SYNOPSIS
game-data-packager [ -i ] [ -d répertoire-de-destination [ -n ] ] [ -z | --no-compress ] jeu [ options-du-jeu ]

DESCRIPTION
De nombreux jeux open-source on besoin de données qui sont licensées en des termes incompatibles avec les Principes du logiciel libre selon Debian ("Debian Free Software Guidelines")
game-data-packager est un outil qui vous aide a assembler localement des packages Debian contenant des données provenant de CD-ROMs, d'Internet ou d'ailleurs.

OPTIONS

-i  installer directement le package créé avec dpkg(1) ou apt(8), en utilisant pkexec(1), sudo(1) ou su(1) pour obtenir les droits superutilisateur.

-d répertoire-de-destination
    écrire les packages .deb générés dans le répertoire désigné.

-n  Ne pas installer les packages générés.

-z | --compress
    Compresser les .deb (option par défaut si -i n'est pas spécifié)

--no-compress
    Ne pas compresser les .deb (option par défaut quand on utilise -i)

jeu Nom-code du jeu à packager. Executer game-data-packager sans aucun paramètre afficher une liste des jeux possible. Executer game-data-packager <jeu> --help affichera les options spécifiques à ce jeu.

AUTRE FONCTIONNALITÉS
game-data-packager steam [ -i ] [ -d répertoire-de-destination [ -n ] ] [ -z | --no-compress ] [ --new | --all ]
créera des packages pour tous vos jeux Steam compatibles en une fois.
La plupart de ces jeux ne peuvent être téléchargés qu'avec la version 'Windows' de Steam qui aussi peux être exécutée via Wine.

--new
    ne créer de package .deb que pour les nouveaux jeux pas encore installés

--all
    créer tous les packages possibles

game-data-packager gog
comparera tous vos jeux GOG.com avec ceux supportés par cet outil.
Ensuite, chaque jeu doit être empacketé séparément.

VARIABLES D'ENVIRONNEMENT

LANGUAGE, LANG
    Lorsqu'un jeu est disponible en plusieurs langues, ces variables d'environment seront utilisées pour choisir la bonne version.
    Ces variables sont normallement déjà correctement configurées par votre environnement de bureau.
    Si le jeu n'est pas disponible en Français, l'Anglais est alors accepté comme alternative valable.

RÉPERTOIRES
game-data-packager trouvera automatiquement les données utiles entre autres présentes dans ces répertoires:

~/.steam/SteamApps/common/<game>/

~/.wine/drive_c/Program Files/Steam/SteamApps/common/<game>/
    ainsi que l'équivalent ~/.PlayOnLinux/wineprefix/Steam/drive_c/...

X:/Program Files/Steam/SteamApps/common/<game>/
    ou X:\ est n'importe quel partition VFAT ou NTFS actuellement montée.

FICHIERS

/etc/game-data-packager.conf
    fichier de configuration de game-data-packager.

~/.scummvmrc
    fournit l'emplacement des jeux enregistrés dans le launcher de ScummVM.

~/.steam/config/loginusers.vdf
    est utilisé pour trouver l'ID Steam de l'utilisateur, qui sert ensuite à télécharger une liste des jeux possédés par l'utilisateur.

~/.cache/lgogdownloader/gamedetails.json
    reprend une copie de la liste des jeux GOG.com achetés par l'utilisateur

VOIR AUSSI
pkexec(1), sudo(8), su(1), lgogdownloader(1)
Project homepage:

AUTEUR
Copyright © 2015 Alexandre Detiste <alexandre@detiste.be>
Traduis à partir de la version en anglais.